async function getRandomUser() {
    const user = await global.database.contacts.findOne({ where: { called: 0}});
    if (!user || user == 0) return false;
    await global.database.contacts.update({ called: 2 }, { where: { phone: user.dataValues.phone}});
    const count = await global.database.contacts.count({ where: {called: 0} });
    return {
        name: `${user.dataValues.firstName} ${user.dataValues.lastName}`,
        phone: user.dataValues.phone,
        count: count,
    };
}

export { getRandomUser };
