import { permissionBits } from "../../../../../utils/permissions.js";

export default {
    path: "/api/call/:phone",
    requiresLogin: true,
    permissions: permissionBits.ADMIN,
    type: "post",
    async execute(request, response) {
        const { phone } = request.params;
        const { vote } = request.body;
        await global.database.contacts.update({ called: 1, vote: vote }, { where: { phone: phone } });
        response.status(201).send({ message: `Vote registered` });
    },
};
