import { readFile } from 'fs/promises';
import { navbar } from '../../../../utils/navbar.js';
import { permissionBits } from '../../../../utils/permissions.js';

export default {
    path: "/dashboard",
    requiresLogin: true,
    permissions: permissionBits.DEFAULT,
    type: "get",
    async execute(request, response) {
        const res = await readFile(`${process.env.WWW}/dashboard/index.html`, "utf8")
        response.send(res.replaceAll("<NAVBAR>", navbar(request.session)));
    },
}
