import { readFile } from 'fs/promises';
import { navbar } from '../../../../utils/navbar.js';

export default {
    path: "/",
    type: "get",
    async execute(request, response) {
        const res = await readFile(`${process.env.WWW}/index.html`, "utf8")
        response.send(res.replaceAll("<NAVBAR>", navbar(request.session)));
    },
}
