import { readFile } from 'fs/promises';
import { navbar } from '../../../../utils/navbar.js';

export default {
    path: "/login",
    type: "get",
    async execute(request, response, args) {
        if (request.session.user) return response.redirect("/");
        if(args?.fail) {
            console.log('Failed login attempt !')
        }
        const res = await readFile(`${process.env.WWW}/login.html`, "utf8");
        response.send(res.replaceAll("<NAVBAR>", navbar(request.session)));
    },
}
